#
# Konstantin Volkov <wolf@virtuozzo.com>
#
# Copyright (c) 2015-2017 Parallels IP Holdings GmbH
# Copyright (c) 2017-2019 Virtuozzo International GmbH. All rights reserved.
#
# This copyrighted material is made available to anyone wishing to use, modify,
# copy, or redistribute it subject to the terms and conditions of the GNU
# General Public License v.2.  This program is distributed in the hope that it
# will be useful, but WITHOUT ANY WARRANTY expressed or implied, including the
# implied warranties of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc., 51
# Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.  Any Virtuozzo
# trademarks that are incorporated in the source code or documentation are not
# subject to the GNU General Public License and may only be used or replicated
# with the express permission of Virtuozzo.
#
import string

from pykickstart.base import *

class PSBM5_Pvaagent(KickstartCommand):
    removedKeywords = KickstartCommand.removedKeywords
    removedAttrs = KickstartCommand.removedAttrs

    def __init__(self, writePriority=0, *args, **kwargs):
        KickstartCommand.__init__(self, writePriority, *args, **kwargs)
        self.enabled = False

    def __str__(self):
        retval = KickstartCommand.__str__(self)

        if self.enabled:
            retval += "pvaagent\n"

        return retval

    def parse(self, args):
        self.enabled = True
        return self

class VZ7_Pvaagent(PSBM5_Pvaagent):
    def parse(self, args):
        warnings.warn("The pvaagent parameter is not used anymore and will be ignored.")
