#
# Konstantin Volkov <wolf@virtuozzo.com>
#
# Copyright (c) 2015-2017 Parallels IP Holdings GmbH
# Copyright (c) 2017-2019 Virtuozzo International GmbH. All rights reserved.
#
# This copyrighted material is made available to anyone wishing to use, modify,
# copy, or redistribute it subject to the terms and conditions of the GNU
# General Public License v.2.  This program is distributed in the hope that it
# will be useful, but WITHOUT ANY WARRANTY expressed or implied, including the
# implied warranties of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc., 51
# Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.  Any Virtuozzo
# trademarks that are incorporated in the source code or documentation are not
# subject to the GNU General Public License and may only be used or replicated
# with the express permission of Virtuozzo.
#
import string

from pykickstart.base import *
from pykickstart.errors import *

import gettext
_ = lambda x: gettext.ldgettext("pykickstart", x)

class PSBM5_Pvaurl(KickstartCommand):
    removedKeywords = KickstartCommand.removedKeywords
    removedAttrs = KickstartCommand.removedAttrs

    def __init__(self, writePriority=0, *args, **kwargs):
        KickstartCommand.__init__(self, writePriority, *args, **kwargs)
        self.url = ""

    def __str__(self):
        retval = KickstartCommand.__str__(self)

        if self.url:
            retval += "pvaurl %s\n" % self.url

        return retval

    def parse(self, args):
        if len(args) == 0:
            raise KickstartValueError, formatErrorMsg(self.lineno, msg=_("Command %s requires at least one argument") % "pvaurl")
        if len(args) > 1:
            raise KickstartValueError, formatErrorMsg(self.lineno, msg=_("Command %s requires no more than one argument") % "pvaurl")
        self.url = args[0]
        return self

class VZ7_Pvaurl(PSBM5_Pvaurl):
    def parse(self, args):
        warnings.warn("The pvaurl parameter is not used anymore and will be ignored.")
