#
# Konstantin Volckov <wolf@virtuozzo.com>
#
# Copyright 2017. Parallels IP Holdings GmbH. All rights reserved.
# Copyright (c) 2017-2019 Virtuozzo International GmbH. All rights reserved.
#
# This copyrighted material is made available to anyone wishing to use, modify,
# copy, or redistribute it subject to the terms and conditions of the GNU
# General Public License v.2.  This program is distributed in the hope that it
# will be useful, but WITHOUT ANY WARRANTY expressed or implied, including the
# implied warranties of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc., 51
# Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.  Any Virtuozzo
# trademarks that are incorporated in the source code or documentation are not
# subject to the GNU General Public License and may only be used or replicated
# with the express permission of Virtuozzo.
#
import unittest
from tests.baseclass import *

class VZ7_TestCase(CommandTest):
    command = "register_vaagent"

    def runTest(self):
        self.assert_parse("register_vaagent --mn_addr=127.0.0.1 --rootpw=1q2w3e")
        self.assert_parse_error("register_vaagent --rootpw=1q2w3e", KickstartValueError)
        self.assert_parse_error("register_vaagent --mn_addr=127.0.0.1", KickstartValueError)

if __name__ == "__main__":
    unittest.main()
