#
# Konstantin Volkov <wolf@virtuozzo.com>
#
# Copyright (c) 2017 Parallels IP Holdings GmbH
# Copyright (c) 2017-2019 Virtuozzo International GmbH. All rights reserved.
#
# This copyrighted material is made available to anyone wishing to use, modify,
# copy, or redistribute it subject to the terms and conditions of the GNU
# General Public License v.2.  This program is distributed in the hope that it
# will be useful, but WITHOUT ANY WARRANTY expressed or implied, including the
# implied warranties of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc., 51
# Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.  Any Virtuozzo
# trademarks that are incorporated in the source code or documentation are not
# subject to the GNU General Public License and may only be used or replicated
# with the express permission of Virtuozzo.
#

import string

from pykickstart.base import *
from pykickstart.errors import *

import gettext
_ = lambda x: gettext.ldgettext("pykickstart", x)

class VZ7_Squashinstall(KickstartCommand):
    def __init__(self, writePriority=0, *args, **kwargs):
        KickstartCommand.__init__(self, writePriority, *args, **kwargs)
        self.enabled = True

    def __str__(self):
        retval = KickstartCommand.__str__(self)

        if self.enabled:
            return retval

        return retval + "squashinstall --disable\n"

    def parse(self, args):
        if len(args) == 0 or len(args) > 1:
            raise KickstartValueError, formatErrorMsg(self.lineno, msg=_("Command %s requires one argument") % "squashinstall")
        if args[0] != "--disable":
            raise KickstartValueError, formatErrorMsg(self.lineno, msg=_("The command %s supports only the \"--disable\" argument.") % "squashinstall")
        self.enabled = False
        return self
